<div class="row m-0 pr-cardBorder bg-white" style="margin-top:-1px;" >
    <ng-container *ngFor="let p of overview_details;let index = index;">
    <div *ngIf="index<3" class="col-md-4 d-flex p-0 bg-price-tab align-items-center pt-height" >
        <div>
            <div class="d-flex align-items-center  pr-3  hx-pro-p-1" [ngClass]="index==0 ? 'clippath-space' : 'pl-3'">
                <div class="align-self-center f-16  fw-500 text-gray55 WSF price-count-width">{{p.count|number}}</div>
                <div class="align-self-center f-14 WSF font-weight-normal text-gray55 hx-pro-f-12">{{p[p.index]}}</div>
            </div>
            <div *ngIf="index==2" class="d-flex align-items-center pl-3 pr-3  hx-pro-p-1">
                <div class="align-self-center f-16  fw-500 text-gray55 WSF price-count-width">{{overview_details[3].count|number}}</div>
                <div class="align-self-center f-14 WSF font-weight-normal text-gray55 hx-pro-f-12">{{overview_details[3][export_item_key]}}</div>
            </div>
        </div>
    </div>
    </ng-container>
</div>
<!-- display chart -->
<div class="row m-0 pt-3 px-3">
    <div class="col-md-3 text-center" *ngFor="let s of price_analysis.series_data;index as i">
        <div class="price-fc"  id="price_analysis_{{i}}"></div>
    </div>
</div>
<!-- revenue details -->
<div class="row m-0 pb-3">
    <div class="col-md-3" *ngFor="let r of price_analysis.series_data">
        <div class="d-flex justify-content-center align-items-center">
            <div class="normal-class pr-1 fw-500 price-count-space" >{{r.revenue_details.title}}</div>
            <div [ngClass]="{'red-class': r.revenue_details.currency == '-', 'green-class': r.revenue_details.currency == '+'}">{{r.revenue_details.amount}}
                <i class="fa "
                   [ngClass]="{'fa-caret-down': r.revenue_details.currency == '-', 'fa-caret-up': r.revenue_details.currency == '+'}"></i>
                </div>
        </div>
    </div>
</div>
